Mettre à jour la configuration des groupes d’organisation
curl --request PUT \
--url https://api.devin.ai/v3/enterprise/org-group-limits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"groups": {}
}'import requests
url = "https://api.devin.ai/v3/enterprise/org-group-limits"
payload = { "groups": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({groups: {}})
};
fetch('https://api.devin.ai/v3/enterprise/org-group-limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"groups": {}
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Limites des groupes d’organisation (Entreprise)
Mettre à jour les limites des groupes d'organisation
Mettre à jour la configuration des groupes d’organisation
PUT
/
v3
/
enterprise
/
org-group-limits
Mettre à jour la configuration des groupes d’organisation
Nécessite l’autorisation
Remplace l’intégralité de la configuration des groupes d’organisation par la configuration fournie. Les groupes non inclus dans la requête seront supprimés, et les groupes inclus seront créés ou mis à jour pour correspondre à la configuration fournie. Chaque groupe associe un ensemble d’ID d’organisation à une limite maximale facultative d’Agent Compute Unit par cycle de facturation.
ManageOrganizations.
Cet endpoint nécessite que la fonctionnalité de limites des groupes d’organisation soit activée pour votre offre Enterprise. Pour activer cette fonctionnalité, contactez l’équipe en charge de votre compte.
Autorisations
Identifiant de compte de service (préfixe : cog_)
Corps
application/json
Configuration associant les noms de groupes à leurs paramètres.
Show child attributes
Show child attributes
Réponse
Réponse réussie
Configuration associant les noms de groupes à leurs paramètres.
Show child attributes
Show child attributes

